summaryrefslogtreecommitdiffstats
path: root/gis
diff options
context:
space:
mode:
author David Spencer <baildon.research@googlemail.com>2016-06-09 08:16:50 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-06-10 08:02:42 +0700
commit3e357cdf7818863bd0d8e86d5c8670e3663b35a6 (patch)
tree6856a5521e38a2409c2c0d35b0129f44e19541c2 /gis
parent78b22de91b961a94723ecb06b7961990df9e3d1e (diff)
downloadslackbuilds-3e357cdf7818863bd0d8e86d5c8670e3663b35a6.tar.gz
slackbuilds-3e357cdf7818863bd0d8e86d5c8670e3663b35a6.tar.xz
gis/opengrads: Moved from academic/ category.
Signed-off-by: David Spencer <baildon.research@googlemail.com>
Diffstat (limited to 'gis')
-rw-r--r--gis/opengrads/README5
-rw-r--r--gis/opengrads/opengrads.SlackBuild84
-rw-r--r--gis/opengrads/opengrads.csh2
-rw-r--r--gis/opengrads/opengrads.info10
-rw-r--r--gis/opengrads/opengrads.sh2
-rw-r--r--gis/opengrads/slack-desc19
6 files changed, 122 insertions, 0 deletions
diff --git a/gis/opengrads/README b/gis/opengrads/README
new file mode 100644
index 0000000000..8e53ac4fed
--- /dev/null
+++ b/gis/opengrads/README
@@ -0,0 +1,5 @@
+The Grid Analysis and Display System (GrADS) is an interactive desktop tool for
+easy access, manipulation, and visualization of earth science data.
+
+The OpenGrADS Project seeks to develop advanced interfaces and extensions based
+on the main GrADS engine.
diff --git a/gis/opengrads/opengrads.SlackBuild b/gis/opengrads/opengrads.SlackBuild
new file mode 100644
index 0000000000..cc95db3dbd
--- /dev/null
+++ b/gis/opengrads/opengrads.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for OpenGrADS
+
+# Copyright 2009 Eduardo Oda
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Written by Oda - edu.oda@gmail.com
+
+PRGNAM=opengrads
+VERSION=${VERSION:-2.0.1.oga.1}
+ARCH=${ARCH:-i686}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+if [ "$ARCH" != "x86_64" ]; then
+ # Just in case someone has ARCH=i486 set in the environment
+ ARCH=i686
+fi
+
+rm -rf $PKG
+mkdir -p $PKG/opt $OUTPUT
+tar xvf grads-$VERSION-bundle-$ARCH-*-linux-gnu.tar.gz -C $PKG/opt
+cd $PKG/opt
+chown -R root:root grads-$VERSION
+# Let's use an unversioned install directory for less noisy upgrades
+mv grads-$VERSION opengrads
+# and then symlink to replicate the original directory structure
+ln -s opengrads grads-$VERSION
+cd opengrads
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+( cd $PKG/usr/doc/$PRGNAM-$VERSION
+ ln -s ../../../opt/opengrads/COPYRIGHT .
+ ln -s ../../../opt/opengrads/INSTALL .
+ ln -s ../../../opt/opengrads/NEWS .
+ ln -s ../../../opt/opengrads/README .
+ ln -s ../../../opt/opengrads/Contents/Resources/Documentation .
+)
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/etc/profile.d
+cp $CWD/opengrads.sh $PKG/etc/profile.d/opengrads.sh
+cp $CWD/opengrads.csh $PKG/etc/profile.d/opengrads.csh
+chmod 0755 $PKG/etc/profile.d/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/gis/opengrads/opengrads.csh b/gis/opengrads/opengrads.csh
new file mode 100644
index 0000000000..b458dddf5c
--- /dev/null
+++ b/gis/opengrads/opengrads.csh
@@ -0,0 +1,2 @@
+#!/bin/csh
+setenv PATH ${PATH}:/opt/opengrads/Contents
diff --git a/gis/opengrads/opengrads.info b/gis/opengrads/opengrads.info
new file mode 100644
index 0000000000..8074971e84
--- /dev/null
+++ b/gis/opengrads/opengrads.info
@@ -0,0 +1,10 @@
+PRGNAM="opengrads"
+VERSION="2.0.1.oga.1"
+HOMEPAGE="http://www.opengrads.org/"
+DOWNLOAD="http://sourceforge.net/projects/opengrads/files/grads2/2.0.1.oga.1/Linux/grads-2.0.1.oga.1-bundle-i686-glibc2.5-linux-gnu.tar.gz"
+MD5SUM="ca39e8371d945274a350847f281c1d05"
+DOWNLOAD_x86_64="http://sourceforge.net/projects/opengrads/files/grads2/2.0.1.oga.1/Linux/grads-2.0.1.oga.1-bundle-x86_64-glibc2.5-linux-gnu.tar.gz"
+MD5SUM_x86_64="ad1208aff8f8e88cf8b0f7d9696f5bb3"
+REQUIRES=""
+MAINTAINER="Oda"
+EMAIL="edu.oda@gmail.com"
diff --git a/gis/opengrads/opengrads.sh b/gis/opengrads/opengrads.sh
new file mode 100644
index 0000000000..f5fff6be17
--- /dev/null
+++ b/gis/opengrads/opengrads.sh
@@ -0,0 +1,2 @@
+#!/bin/sh
+export PATH=${PATH}:/opt/opengrads/Contents
diff --git a/gis/opengrads/slack-desc b/gis/opengrads/slack-desc
new file mode 100644
index 0000000000..65d0076c09
--- /dev/null
+++ b/gis/opengrads/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+opengrads: OpenGrADS (Grid Analysis and Display System)
+opengrads:
+opengrads: The Grid Analysis and Display System (GrADS) is an interactive
+opengrads: desktop tool for easy access, manipulation, and visualization of
+opengrads: earth science data.
+opengrads:
+opengrads: The OpenGrADS Project seeks to develop advanced interfaces and
+opengrads: extensions based on the main GrADS engine.
+opengrads:
+opengrads:
+opengrads: